Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class CompletionHandler.DoneAction

    java.lang.Object
      ix.ip2.HandlerAction
          ix.ip2.HandlerAction.Manual
              ix.ip2.CompletionHandler.DoneAction

Direct Known Subclasses:
  CompletionHandler.NotApplicableAction

Enclosing class:
  CompletionHandler

    public class CompletionHandler.DoneAction

extends HandlerAction.Manual

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary
`(package private) AgendaItem` | `item`

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`CompletionHandler.DoneAction(AgendaItem item)`
`CompletionHandler.DoneAction(AgendaItem item, java.lang.String descr)`

Method Summary
`ActionUnreadyReason` | `getUnreadyReason()` Returns an object that explains why this handler is not ready to be used.
`boolean` | `isReady()` Indicates whether this action is ready to be used or else is waiting for something that would enable it to be used.

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, computeStatus, getActionDescription, handle, isStillValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### item

    AgendaItem item

Constructor Detail

### CompletionHandler.DoneAction

    public CompletionHandler.DoneAction(AgendaItem item)

### CompletionHandler.DoneAction

    public CompletionHandler.DoneAction(AgendaItem item,
                                        java.lang.String descr)

Method Detail

### isReady

    public boolean isReady()

  Description copied from class: `HandlerAction`
  Indicates whether this action is ready to be used or else is waiting for something that would enable it to be used. The method in the HandlerAction class just returns true and is overridden in subclasses that have instances that are not always ready.

  Overrides:
    `isReady` in class `HandlerAction`
  See Also:
    `HandlerAction.getUnreadyReason()`

### getUnreadyReason

    public ActionUnreadyReason getUnreadyReason()

  Description copied from class: `HandlerAction`
  Returns an object that explains why this handler is not ready to be used.

  Overrides:
    `getUnreadyReason` in class `HandlerAction`
  See Also:
    `HandlerAction.isReady()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD